Skip to navigation

List Tax Properties

Retrieve all tax properties defined in this store.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

id:inlist of integersOptional

ID of tax property. To target multiple tax properties, provide a comma-separated list of IDs such as 12,34,56.

type:inlist of stringsOptional

Filter result by the type of tax property. To target multiple types, provide a comma-separated list of types such as customer,product.

Response

OK
datalist of objectsOptional
metaobjectOptional
Response metadata.

Errors

400
Bad Request Error